


<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>Index &mdash; SmartRecruiting back v2 documentation</title>
  

  
  
  
  

  
  <script type="text/javascript" src="_static/js/modernizr.min.js"></script>
  
    
      <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
        <script type="text/javascript" src="_static/jquery.js"></script>
        <script type="text/javascript" src="_static/underscore.js"></script>
        <script type="text/javascript" src="_static/doctools.js"></script>
        <script type="text/javascript" src="_static/language_data.js"></script>
    
    <script type="text/javascript" src="_static/js/theme.js"></script>

    

  
  <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <link rel="index" title="Index" href="#" />
    <link rel="search" title="Search" href="search.html" /> 
</head>

<body class="wy-body-for-nav">

   
  <div class="wy-grid-for-nav">
    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >
          

          
            <a href="index.html" class="icon icon-home"> SmartRecruiting back
          

          
          </a>

          
            
            
              <div class="version">
                v2
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <p class="caption"><span class="caption-text">Contents:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="install.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="contributing.html">Contributing</a></li>
<li class="toctree-l1"><a class="reference internal" href="documentation.html">Backend documentation</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">SmartRecruiting back</a>
        
      </nav>


      <div class="wy-nav-content">
        
        <div class="rst-content">
        
          















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="index.html">Docs</a> &raquo;</li>
        
      <li>Index</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
            
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            

<h1 id="index">Index</h1>

<div class="genindex-jumpbox">
 <a href="#A"><strong>A</strong></a>
 | <a href="#B"><strong>B</strong></a>
 | <a href="#C"><strong>C</strong></a>
 | <a href="#D"><strong>D</strong></a>
 | <a href="#E"><strong>E</strong></a>
 | <a href="#F"><strong>F</strong></a>
 | <a href="#G"><strong>G</strong></a>
 | <a href="#I"><strong>I</strong></a>
 | <a href="#L"><strong>L</strong></a>
 | <a href="#M"><strong>M</strong></a>
 | <a href="#N"><strong>N</strong></a>
 | <a href="#O"><strong>O</strong></a>
 | <a href="#P"><strong>P</strong></a>
 | <a href="#S"><strong>S</strong></a>
 | <a href="#T"><strong>T</strong></a>
 | <a href="#U"><strong>U</strong></a>
 
</div>
<h2 id="A">A</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="backend_doc/preprocess.html#SmartRecruiting_BackEnd.deeplearning.preprocess.database_handler.add_an_offer">add_an_offer() (in module SmartRecruiting_BackEnd.deeplearning.preprocess.database_handler)</a>
</li>
      <li><a href="backend_doc/api.html#SmartRecruiting_BackEnd.api.routes.add_contact">add_contact() (in module SmartRecruiting_BackEnd.api.routes)</a>

      <ul>
        <li><a href="backend_doc/managers.html#SmartRecruiting_BackEnd.data.contact_manager.ContactManager.add_contact">(SmartRecruiting_BackEnd.data.contact_manager.ContactManager static method)</a>
</li>
        <li><a href="backend_doc/preprocess.html#SmartRecruiting_BackEnd.deeplearning.preprocess.database_handler.add_contact">(in module SmartRecruiting_BackEnd.deeplearning.preprocess.database_handler)</a>
</li>
      </ul></li>
      <li><a href="backend_doc/preprocess.html#SmartRecruiting_BackEnd.deeplearning.preprocess.database_handler.add_contacts">add_contacts() (in module SmartRecruiting_BackEnd.deeplearning.preprocess.database_handler)</a>
</li>
      <li><a href="backend_doc/api.html#SmartRecruiting_BackEnd.api.routes.add_field">add_field() (in module SmartRecruiting_BackEnd.api.routes)</a>

      <ul>
        <li><a href="backend_doc/managers.html#SmartRecruiting_BackEnd.data.field_manager.FieldManager.add_field">(SmartRecruiting_BackEnd.data.field_manager.FieldManager static method)</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="backend_doc/managers.html#SmartRecruiting_BackEnd.data.field_manager.FieldManager.add_field_v2">add_field_v2() (SmartRecruiting_BackEnd.data.field_manager.FieldManager static method)</a>
</li>
      <li><a href="backend_doc/api.html#SmartRecruiting_BackEnd.api.routes.add_offer">add_offer() (in module SmartRecruiting_BackEnd.api.routes)</a>

      <ul>
        <li><a href="backend_doc/managers.html#SmartRecruiting_BackEnd.data.offer_manager.OfferManager.add_offer">(SmartRecruiting_BackEnd.data.offer_manager.OfferManager static method)</a>
</li>
      </ul></li>
      <li><a href="backend_doc/api.html#SmartRecruiting_BackEnd.api.routes.add_offer_link_field">add_offer_link_field() (in module SmartRecruiting_BackEnd.api.routes)</a>
</li>
      <li><a href="backend_doc/preprocess.html#SmartRecruiting_BackEnd.deeplearning.preprocess.database_handler.add_offer_to_database">add_offer_to_database() (in module SmartRecruiting_BackEnd.deeplearning.preprocess.database_handler)</a>
</li>
      <li><a href="backend_doc/managers.html#SmartRecruiting_BackEnd.data.offer_manager.OfferManager.add_offer_v2">add_offer_v2() (SmartRecruiting_BackEnd.data.offer_manager.OfferManager static method)</a>
</li>
      <li><a href="backend_doc/managers.html#SmartRecruiting_BackEnd.data.prediction_manager.PredictionManager.add_prediction">add_prediction() (SmartRecruiting_BackEnd.data.prediction_manager.PredictionManager static method)</a>
</li>
      <li><a href="backend_doc/managers.html#SmartRecruiting_BackEnd.data.user_manager.UserManager.add_user">add_user() (SmartRecruiting_BackEnd.data.user_manager.UserManager static method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="B">B</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="backend_doc/cnn.html#SmartRecruiting_BackEnd.deeplearning.cnn.Model.Model.build">build() (SmartRecruiting_BackEnd.deeplearning.cnn.Model.Model method)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="backend_doc/preprocess.html#SmartRecruiting_BackEnd.deeplearning.preprocess.preprocess.build_word2vec">build_word2vec() (in module SmartRecruiting_BackEnd.deeplearning.preprocess.preprocess)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="C">C</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="backend_doc/data.html#SmartRecruiting_BackEnd.data.models.Contact">Contact (class in SmartRecruiting_BackEnd.data.models)</a>, <a href="backend_doc/data.html#SmartRecruiting_BackEnd.data.models.Contact">[1]</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="backend_doc/managers.html#SmartRecruiting_BackEnd.data.contact_manager.ContactManager">ContactManager (class in SmartRecruiting_BackEnd.data.contact_manager)</a>
</li>
      <li><a href="backend_doc/api.html#SmartRecruiting_BackEnd.api.routes.create_token">create_token() (in module SmartRecruiting_BackEnd.api.routes)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="D">D</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="backend_doc/managers.html#SmartRecruiting_BackEnd.data.manager.DatabaseManager">DatabaseManager (class in SmartRecruiting_BackEnd.data.manager)</a>
</li>
      <li><a href="backend_doc/api.html#SmartRecruiting_BackEnd.api.routes.delete_contact">delete_contact() (in module SmartRecruiting_BackEnd.api.routes)</a>

      <ul>
        <li><a href="backend_doc/managers.html#SmartRecruiting_BackEnd.data.contact_manager.ContactManager.delete_contact">(SmartRecruiting_BackEnd.data.contact_manager.ContactManager static method)</a>
</li>
      </ul></li>
      <li><a href="backend_doc/api.html#SmartRecruiting_BackEnd.api.routes.delete_field">delete_field() (in module SmartRecruiting_BackEnd.api.routes)</a>

      <ul>
        <li><a href="backend_doc/managers.html#SmartRecruiting_BackEnd.data.field_manager.FieldManager.delete_field">(SmartRecruiting_BackEnd.data.field_manager.FieldManager static method)</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="backend_doc/api.html#SmartRecruiting_BackEnd.api.routes.delete_offer">delete_offer() (in module SmartRecruiting_BackEnd.api.routes)</a>

      <ul>
        <li><a href="backend_doc/managers.html#SmartRecruiting_BackEnd.data.offer_manager.OfferManager.delete_offer">(SmartRecruiting_BackEnd.data.offer_manager.OfferManager static method)</a>
</li>
      </ul></li>
      <li><a href="backend_doc/managers.html#SmartRecruiting_BackEnd.data.prediction_manager.PredictionManager.delete_prediction_by_id_field">delete_prediction_by_id_field() (SmartRecruiting_BackEnd.data.prediction_manager.PredictionManager static method)</a>
</li>
      <li><a href="backend_doc/managers.html#SmartRecruiting_BackEnd.data.prediction_manager.PredictionManager.delete_prediction_by_id_offer">delete_prediction_by_id_offer() (SmartRecruiting_BackEnd.data.prediction_manager.PredictionManager static method)</a>
</li>
      <li><a href="backend_doc/api.html#SmartRecruiting_BackEnd.api.routes.delete_user">delete_user() (in module SmartRecruiting_BackEnd.api.routes)</a>

      <ul>
        <li><a href="backend_doc/managers.html#SmartRecruiting_BackEnd.data.user_manager.UserManager.delete_user">(SmartRecruiting_BackEnd.data.user_manager.UserManager static method)</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="E">E</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="backend_doc/cnn.html#SmartRecruiting_BackEnd.deeplearning.cnn.Model.Model.eval">eval() (SmartRecruiting_BackEnd.deeplearning.cnn.Model.Model method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="F">F</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="backend_doc/data.html#SmartRecruiting_BackEnd.data.models.Field">Field (class in SmartRecruiting_BackEnd.data.models)</a>, <a href="backend_doc/data.html#SmartRecruiting_BackEnd.data.models.Field">[1]</a>
</li>
      <li><a href="backend_doc/managers.html#SmartRecruiting_BackEnd.data.field_manager.FieldManager">FieldManager (class in SmartRecruiting_BackEnd.data.field_manager)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="backend_doc/api.html#SmartRecruiting_BackEnd.api.routes.fields_by_offer">fields_by_offer() (in module SmartRecruiting_BackEnd.api.routes)</a>

      <ul>
        <li><a href="backend_doc/managers.html#SmartRecruiting_BackEnd.data.prediction_manager.PredictionManager.fields_by_offer">(SmartRecruiting_BackEnd.data.prediction_manager.PredictionManager static method)</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="G">G</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="backend_doc/api.html#SmartRecruiting_BackEnd.api.routes.generate_prediction">generate_prediction() (in module SmartRecruiting_BackEnd.api.routes)</a>
</li>
      <li><a href="backend_doc/api.html#SmartRecruiting_BackEnd.api.routes.get_accuracy">get_accuracy() (in module SmartRecruiting_BackEnd.api.routes)</a>
</li>
      <li><a href="backend_doc/managers.html#SmartRecruiting_BackEnd.data.contact_manager.ContactManager.get_all_contacts">get_all_contacts() (SmartRecruiting_BackEnd.data.contact_manager.ContactManager static method)</a>
</li>
      <li><a href="backend_doc/managers.html#SmartRecruiting_BackEnd.data.field_manager.FieldManager.get_all_fields">get_all_fields() (SmartRecruiting_BackEnd.data.field_manager.FieldManager static method)</a>
</li>
      <li><a href="backend_doc/managers.html#SmartRecruiting_BackEnd.data.field_manager.FieldManager.get_all_fields_name">get_all_fields_name() (SmartRecruiting_BackEnd.data.field_manager.FieldManager static method)</a>
</li>
      <li><a href="backend_doc/managers.html#SmartRecruiting_BackEnd.data.field_manager.FieldManager.get_all_id_field">get_all_id_field() (SmartRecruiting_BackEnd.data.field_manager.FieldManager static method)</a>
</li>
      <li><a href="backend_doc/managers.html#SmartRecruiting_BackEnd.data.offer_manager.OfferManager.get_all_offers">get_all_offers() (SmartRecruiting_BackEnd.data.offer_manager.OfferManager static method)</a>
</li>
      <li><a href="backend_doc/managers.html#SmartRecruiting_BackEnd.data.offer_manager.OfferManager.get_all_offers_with_field_in_base">get_all_offers_with_field_in_base() (SmartRecruiting_BackEnd.data.offer_manager.OfferManager static method)</a>
</li>
      <li><a href="backend_doc/api.html#SmartRecruiting_BackEnd.api.routes.get_contact">get_contact() (in module SmartRecruiting_BackEnd.api.routes)</a>
</li>
      <li><a href="backend_doc/managers.html#SmartRecruiting_BackEnd.data.contact_manager.ContactManager.get_contact_by_id">get_contact_by_id() (SmartRecruiting_BackEnd.data.contact_manager.ContactManager static method)</a>
</li>
      <li><a href="backend_doc/api.html#SmartRecruiting_BackEnd.api.routes.get_contacts">get_contacts() (in module SmartRecruiting_BackEnd.api.routes)</a>
</li>
      <li><a href="backend_doc/api.html#SmartRecruiting_BackEnd.api.routes.get_field">get_field() (in module SmartRecruiting_BackEnd.api.routes)</a>
</li>
      <li><a href="backend_doc/managers.html#SmartRecruiting_BackEnd.data.field_manager.FieldManager.get_field_by_id">get_field_by_id() (SmartRecruiting_BackEnd.data.field_manager.FieldManager static method)</a>
</li>
      <li><a href="backend_doc/managers.html#SmartRecruiting_BackEnd.data.field_manager.FieldManager.get_field_by_name">get_field_by_name() (SmartRecruiting_BackEnd.data.field_manager.FieldManager static method)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="backend_doc/managers.html#SmartRecruiting_BackEnd.data.field_manager.FieldManager.get_field_contacts">get_field_contacts() (SmartRecruiting_BackEnd.data.field_manager.FieldManager static method)</a>
</li>
      <li><a href="backend_doc/managers.html#SmartRecruiting_BackEnd.data.field_manager.FieldManager.get_field_offers">get_field_offers() (SmartRecruiting_BackEnd.data.field_manager.FieldManager static method)</a>
</li>
      <li><a href="backend_doc/api.html#SmartRecruiting_BackEnd.api.routes.get_fields">get_fields() (in module SmartRecruiting_BackEnd.api.routes)</a>
</li>
      <li><a href="backend_doc/api.html#SmartRecruiting_BackEnd.api.routes.get_fields_name">get_fields_name() (in module SmartRecruiting_BackEnd.api.routes)</a>
</li>
      <li><a href="backend_doc/preprocess.html#SmartRecruiting_BackEnd.deeplearning.preprocess.database_handler.get_id_field">get_id_field() (in module SmartRecruiting_BackEnd.deeplearning.preprocess.database_handler)</a>
</li>
      <li><a href="backend_doc/api.html#SmartRecruiting_BackEnd.api.routes.get_offer">get_offer() (in module SmartRecruiting_BackEnd.api.routes)</a>
</li>
      <li><a href="backend_doc/managers.html#SmartRecruiting_BackEnd.data.offer_manager.OfferManager.get_offer_by_id">get_offer_by_id() (SmartRecruiting_BackEnd.data.offer_manager.OfferManager static method)</a>
</li>
      <li><a href="backend_doc/api.html#SmartRecruiting_BackEnd.api.routes.get_offers">get_offers() (in module SmartRecruiting_BackEnd.api.routes)</a>

      <ul>
        <li><a href="backend_doc/cnn.html#SmartRecruiting_BackEnd.deeplearning.cnn.train.get_offers">(in module SmartRecruiting_BackEnd.deeplearning.cnn.train)</a>
</li>
      </ul></li>
      <li><a href="backend_doc/managers.html#SmartRecruiting_BackEnd.data.user_manager.UserManager.get_one_admin">get_one_admin() (SmartRecruiting_BackEnd.data.user_manager.UserManager static method)</a>
</li>
      <li><a href="backend_doc/api.html#SmartRecruiting_BackEnd.api.routes.get_user">get_user() (in module SmartRecruiting_BackEnd.api.routes)</a>
</li>
      <li><a href="backend_doc/managers.html#SmartRecruiting_BackEnd.data.user_manager.UserManager.get_user_by_email">get_user_by_email() (SmartRecruiting_BackEnd.data.user_manager.UserManager static method)</a>
</li>
      <li><a href="backend_doc/managers.html#SmartRecruiting_BackEnd.data.user_manager.UserManager.get_user_by_id">get_user_by_id() (SmartRecruiting_BackEnd.data.user_manager.UserManager static method)</a>
</li>
      <li><a href="backend_doc/preprocess.html#SmartRecruiting_BackEnd.deeplearning.preprocess.preprocess.get_wikipedia_corpus">get_wikipedia_corpus() (in module SmartRecruiting_BackEnd.deeplearning.preprocess.preprocess)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="I">I</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="backend_doc/preprocess.html#SmartRecruiting_BackEnd.deeplearning.preprocess.preprocess.init">init() (in module SmartRecruiting_BackEnd.deeplearning.preprocess.preprocess)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="L">L</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="backend_doc/cnn.html#SmartRecruiting_BackEnd.deeplearning.cnn.Model.Model.load">load() (SmartRecruiting_BackEnd.deeplearning.cnn.Model.Model method)</a>
</li>
      <li><a href="backend_doc/preprocess.html#SmartRecruiting_BackEnd.deeplearning.preprocess.preprocess.load_word2vec">load_word2vec() (in module SmartRecruiting_BackEnd.deeplearning.preprocess.preprocess)</a>
</li>
      <li><a href="backend_doc/api.html#SmartRecruiting_BackEnd.api.routes.login">login() (in module SmartRecruiting_BackEnd.api.routes)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="backend_doc/api.html#SmartRecruiting_BackEnd.api.routes.login_admin_required">login_admin_required() (in module SmartRecruiting_BackEnd.api.routes)</a>
</li>
      <li><a href="backend_doc/api.html#SmartRecruiting_BackEnd.api.routes.login_required">login_required() (in module SmartRecruiting_BackEnd.api.routes)</a>
</li>
      <li><a href="backend_doc/api.html#SmartRecruiting_BackEnd.api.routes.logout">logout() (in module SmartRecruiting_BackEnd.api.routes)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="M">M</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="backend_doc/cnn.html#SmartRecruiting_BackEnd.deeplearning.cnn.Model.Model">Model (class in SmartRecruiting_BackEnd.deeplearning.cnn.Model)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="N">N</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="backend_doc/api.html#SmartRecruiting_BackEnd.api.routes.nb_prediction">nb_prediction() (in module SmartRecruiting_BackEnd.api.routes)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="O">O</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="backend_doc/data.html#SmartRecruiting_BackEnd.data.models.Offer">Offer (class in SmartRecruiting_BackEnd.data.models)</a>, <a href="backend_doc/data.html#SmartRecruiting_BackEnd.data.models.Offer">[1]</a>
</li>
      <li><a href="backend_doc/managers.html#SmartRecruiting_BackEnd.data.offer_manager.OfferManager">OfferManager (class in SmartRecruiting_BackEnd.data.offer_manager)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="backend_doc/api.html#SmartRecruiting_BackEnd.api.routes.offers_by_user">offers_by_user() (in module SmartRecruiting_BackEnd.api.routes)</a>

      <ul>
        <li><a href="backend_doc/managers.html#SmartRecruiting_BackEnd.data.offer_manager.OfferManager.offers_by_user">(SmartRecruiting_BackEnd.data.offer_manager.OfferManager static method)</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="P">P</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="backend_doc/api.html#SmartRecruiting_BackEnd.api.routes.parse_token">parse_token() (in module SmartRecruiting_BackEnd.api.routes)</a>
</li>
      <li><a href="backend_doc/preprocess.html#SmartRecruiting_BackEnd.deeplearning.preprocess.utils.plot">plot() (in module SmartRecruiting_BackEnd.deeplearning.preprocess.utils)</a>
</li>
      <li><a href="backend_doc/cnn.html#SmartRecruiting_BackEnd.deeplearning.cnn.Model.Model.predict">predict() (SmartRecruiting_BackEnd.deeplearning.cnn.Model.Model method)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="backend_doc/data.html#SmartRecruiting_BackEnd.data.models.Prediction">Prediction (class in SmartRecruiting_BackEnd.data.models)</a>, <a href="backend_doc/data.html#SmartRecruiting_BackEnd.data.models.Prediction">[1]</a>
</li>
      <li><a href="backend_doc/managers.html#SmartRecruiting_BackEnd.data.prediction_manager.PredictionManager">PredictionManager (class in SmartRecruiting_BackEnd.data.prediction_manager)</a>
</li>
      <li><a href="backend_doc/preprocess.html#SmartRecruiting_BackEnd.deeplearning.preprocess.preprocess.preprocess">preprocess() (in module SmartRecruiting_BackEnd.deeplearning.preprocess.preprocess)</a>
</li>
      <li><a href="backend_doc/preprocess.html#SmartRecruiting_BackEnd.deeplearning.preprocess.preprocess.preprocess_all_and_add_to_database">preprocess_all_and_add_to_database() (in module SmartRecruiting_BackEnd.deeplearning.preprocess.preprocess)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="S">S</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="backend_doc/preprocess.html#SmartRecruiting_BackEnd.deeplearning.preprocess.database_handler.set_field_information">set_field_information() (in module SmartRecruiting_BackEnd.deeplearning.preprocess.database_handler)</a>
</li>
      <li><a href="backend_doc/api.html#SmartRecruiting_BackEnd.api.routes.signup">signup() (in module SmartRecruiting_BackEnd.api.routes)</a>
</li>
      <li><a href="backend_doc/api.html#module-SmartRecruiting_BackEnd.api.routes">SmartRecruiting_BackEnd.api.routes (module)</a>
</li>
      <li><a href="backend_doc/data.html#module-SmartRecruiting_BackEnd.data.models">SmartRecruiting_BackEnd.data.models (module)</a>, <a href="backend_doc/data.html#module-SmartRecruiting_BackEnd.data.models">[1]</a>
</li>
      <li><a href="backend_doc/cnn.html#module-SmartRecruiting_BackEnd.deeplearning.cnn">SmartRecruiting_BackEnd.deeplearning.cnn (module)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="backend_doc/cnn.html#module-SmartRecruiting_BackEnd.deeplearning.cnn.Model">SmartRecruiting_BackEnd.deeplearning.cnn.Model (module)</a>
</li>
      <li><a href="backend_doc/cnn.html#module-SmartRecruiting_BackEnd.deeplearning.cnn.train">SmartRecruiting_BackEnd.deeplearning.cnn.train (module)</a>
</li>
      <li><a href="backend_doc/preprocess.html#module-SmartRecruiting_BackEnd.deeplearning.preprocess">SmartRecruiting_BackEnd.deeplearning.preprocess (module)</a>
</li>
      <li><a href="backend_doc/preprocess.html#module-SmartRecruiting_BackEnd.deeplearning.preprocess.database_handler">SmartRecruiting_BackEnd.deeplearning.preprocess.database_handler (module)</a>
</li>
      <li><a href="backend_doc/preprocess.html#module-SmartRecruiting_BackEnd.deeplearning.preprocess.preprocess">SmartRecruiting_BackEnd.deeplearning.preprocess.preprocess (module)</a>
</li>
      <li><a href="backend_doc/preprocess.html#module-SmartRecruiting_BackEnd.deeplearning.preprocess.utils">SmartRecruiting_BackEnd.deeplearning.preprocess.utils (module)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="T">T</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="backend_doc/preprocess.html#SmartRecruiting_BackEnd.deeplearning.preprocess.preprocess.tokenize">tokenize() (in module SmartRecruiting_BackEnd.deeplearning.preprocess.preprocess)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="backend_doc/cnn.html#SmartRecruiting_BackEnd.deeplearning.cnn.train.train">train() (in module SmartRecruiting_BackEnd.deeplearning.cnn.train)</a>

      <ul>
        <li><a href="backend_doc/cnn.html#SmartRecruiting_BackEnd.deeplearning.cnn.Model.Model.train">(SmartRecruiting_BackEnd.deeplearning.cnn.Model.Model method)</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="U">U</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="backend_doc/api.html#SmartRecruiting_BackEnd.api.routes.update_contact">update_contact() (in module SmartRecruiting_BackEnd.api.routes)</a>

      <ul>
        <li><a href="backend_doc/managers.html#SmartRecruiting_BackEnd.data.contact_manager.ContactManager.update_contact">(SmartRecruiting_BackEnd.data.contact_manager.ContactManager static method)</a>
</li>
      </ul></li>
      <li><a href="backend_doc/api.html#SmartRecruiting_BackEnd.api.routes.update_field">update_field() (in module SmartRecruiting_BackEnd.api.routes)</a>

      <ul>
        <li><a href="backend_doc/managers.html#SmartRecruiting_BackEnd.data.field_manager.FieldManager.update_field">(SmartRecruiting_BackEnd.data.field_manager.FieldManager static method)</a>
</li>
      </ul></li>
      <li><a href="backend_doc/api.html#SmartRecruiting_BackEnd.api.routes.update_offer">update_offer() (in module SmartRecruiting_BackEnd.api.routes)</a>

      <ul>
        <li><a href="backend_doc/managers.html#SmartRecruiting_BackEnd.data.offer_manager.OfferManager.update_offer">(SmartRecruiting_BackEnd.data.offer_manager.OfferManager static method)</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="backend_doc/api.html#SmartRecruiting_BackEnd.api.routes.update_prediction_by_id_offer">update_prediction_by_id_offer() (in module SmartRecruiting_BackEnd.api.routes)</a>
</li>
      <li><a href="backend_doc/api.html#SmartRecruiting_BackEnd.api.routes.update_user">update_user() (in module SmartRecruiting_BackEnd.api.routes)</a>

      <ul>
        <li><a href="backend_doc/managers.html#SmartRecruiting_BackEnd.data.user_manager.UserManager.update_user">(SmartRecruiting_BackEnd.data.user_manager.UserManager static method)</a>
</li>
      </ul></li>
      <li><a href="backend_doc/data.html#SmartRecruiting_BackEnd.data.models.User">User (class in SmartRecruiting_BackEnd.data.models)</a>, <a href="backend_doc/data.html#SmartRecruiting_BackEnd.data.models.User">[1]</a>
</li>
      <li><a href="backend_doc/managers.html#SmartRecruiting_BackEnd.data.user_manager.UserManager">UserManager (class in SmartRecruiting_BackEnd.data.user_manager)</a>
</li>
  </ul></td>
</tr></table>



           </div>
           
          </div>
          <footer>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 2019, Projet 21

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/rtfd/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script>

  
  
    
   

</body>
</html>